﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.1
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DCLOffline.Desktop.WSIPPCS {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.CollectionDataContractAttribute(Name="ArrayOfString", Namespace="http://tempuri.org/", ItemName="string")]
    [System.SerializableAttribute()]
    public class ArrayOfString : System.Collections.Generic.List<string> {
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="WSIPPCS.ServiceSoap")]
    public interface ServiceSoap {
        
        // CODEGEN: Generating message contract since element name args from namespace http://tempuri.org/ is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/UpdateDCLOffline", ReplyAction="*")]
        DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineResponse UpdateDCLOffline(DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineRequest request);
        
        // CODEGEN: Generating message contract since element name args from namespace http://tempuri.org/ is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/GetDataDCL", ReplyAction="*")]
        DCLOffline.Desktop.WSIPPCS.GetDataDCLResponse GetDataDCL(DCLOffline.Desktop.WSIPPCS.GetDataDCLRequest request);
        
        // CODEGEN: Generating message contract since element name args from namespace http://tempuri.org/ is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/SendEmailNotification", ReplyAction="*")]
        DCLOffline.Desktop.WSIPPCS.SendEmailNotificationResponse SendEmailNotification(DCLOffline.Desktop.WSIPPCS.SendEmailNotificationRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class UpdateDCLOfflineRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="UpdateDCLOffline", Namespace="http://tempuri.org/", Order=0)]
        public DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineRequestBody Body;
        
        public UpdateDCLOfflineRequest() {
        }
        
        public UpdateDCLOfflineRequest(DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class UpdateDCLOfflineRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public DCLOffline.Desktop.WSIPPCS.ArrayOfString args;
        
        public UpdateDCLOfflineRequestBody() {
        }
        
        public UpdateDCLOfflineRequestBody(DCLOffline.Desktop.WSIPPCS.ArrayOfString args) {
            this.args = args;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class UpdateDCLOfflineResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="UpdateDCLOfflineResponse", Namespace="http://tempuri.org/", Order=0)]
        public DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineResponseBody Body;
        
        public UpdateDCLOfflineResponse() {
        }
        
        public UpdateDCLOfflineResponse(DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class UpdateDCLOfflineResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public int UpdateDCLOfflineResult;
        
        public UpdateDCLOfflineResponseBody() {
        }
        
        public UpdateDCLOfflineResponseBody(int UpdateDCLOfflineResult) {
            this.UpdateDCLOfflineResult = UpdateDCLOfflineResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class GetDataDCLRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="GetDataDCL", Namespace="http://tempuri.org/", Order=0)]
        public DCLOffline.Desktop.WSIPPCS.GetDataDCLRequestBody Body;
        
        public GetDataDCLRequest() {
        }
        
        public GetDataDCLRequest(DCLOffline.Desktop.WSIPPCS.GetDataDCLRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class GetDataDCLRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public DCLOffline.Desktop.WSIPPCS.ArrayOfString args;
        
        public GetDataDCLRequestBody() {
        }
        
        public GetDataDCLRequestBody(DCLOffline.Desktop.WSIPPCS.ArrayOfString args) {
            this.args = args;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class GetDataDCLResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="GetDataDCLResponse", Namespace="http://tempuri.org/", Order=0)]
        public DCLOffline.Desktop.WSIPPCS.GetDataDCLResponseBody Body;
        
        public GetDataDCLResponse() {
        }
        
        public GetDataDCLResponse(DCLOffline.Desktop.WSIPPCS.GetDataDCLResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class GetDataDCLResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=0)]
        public System.Nullable<System.DateTime> GetDataDCLResult;
        
        public GetDataDCLResponseBody() {
        }
        
        public GetDataDCLResponseBody(System.Nullable<System.DateTime> GetDataDCLResult) {
            this.GetDataDCLResult = GetDataDCLResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendEmailNotificationRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendEmailNotification", Namespace="http://tempuri.org/", Order=0)]
        public DCLOffline.Desktop.WSIPPCS.SendEmailNotificationRequestBody Body;
        
        public SendEmailNotificationRequest() {
        }
        
        public SendEmailNotificationRequest(DCLOffline.Desktop.WSIPPCS.SendEmailNotificationRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class SendEmailNotificationRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public DCLOffline.Desktop.WSIPPCS.ArrayOfString args;
        
        public SendEmailNotificationRequestBody() {
        }
        
        public SendEmailNotificationRequestBody(DCLOffline.Desktop.WSIPPCS.ArrayOfString args) {
            this.args = args;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendEmailNotificationResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendEmailNotificationResponse", Namespace="http://tempuri.org/", Order=0)]
        public DCLOffline.Desktop.WSIPPCS.SendEmailNotificationResponseBody Body;
        
        public SendEmailNotificationResponse() {
        }
        
        public SendEmailNotificationResponse(DCLOffline.Desktop.WSIPPCS.SendEmailNotificationResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class SendEmailNotificationResponseBody {
        
        public SendEmailNotificationResponseBody() {
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ServiceSoapChannel : DCLOffline.Desktop.WSIPPCS.ServiceSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiceSoapClient : System.ServiceModel.ClientBase<DCLOffline.Desktop.WSIPPCS.ServiceSoap>, DCLOffline.Desktop.WSIPPCS.ServiceSoap {
        
        public ServiceSoapClient() {
        }
        
        public ServiceSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiceSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineResponse DCLOffline.Desktop.WSIPPCS.ServiceSoap.UpdateDCLOffline(DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineRequest request) {
            return base.Channel.UpdateDCLOffline(request);
        }
        
        public int UpdateDCLOffline(DCLOffline.Desktop.WSIPPCS.ArrayOfString args) {
            DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineRequest inValue = new DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineRequest();
            inValue.Body = new DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineRequestBody();
            inValue.Body.args = args;
            DCLOffline.Desktop.WSIPPCS.UpdateDCLOfflineResponse retVal = ((DCLOffline.Desktop.WSIPPCS.ServiceSoap)(this)).UpdateDCLOffline(inValue);
            return retVal.Body.UpdateDCLOfflineResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        DCLOffline.Desktop.WSIPPCS.GetDataDCLResponse DCLOffline.Desktop.WSIPPCS.ServiceSoap.GetDataDCL(DCLOffline.Desktop.WSIPPCS.GetDataDCLRequest request) {
            return base.Channel.GetDataDCL(request);
        }
        
        public System.Nullable<System.DateTime> GetDataDCL(DCLOffline.Desktop.WSIPPCS.ArrayOfString args) {
            DCLOffline.Desktop.WSIPPCS.GetDataDCLRequest inValue = new DCLOffline.Desktop.WSIPPCS.GetDataDCLRequest();
            inValue.Body = new DCLOffline.Desktop.WSIPPCS.GetDataDCLRequestBody();
            inValue.Body.args = args;
            DCLOffline.Desktop.WSIPPCS.GetDataDCLResponse retVal = ((DCLOffline.Desktop.WSIPPCS.ServiceSoap)(this)).GetDataDCL(inValue);
            return retVal.Body.GetDataDCLResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        DCLOffline.Desktop.WSIPPCS.SendEmailNotificationResponse DCLOffline.Desktop.WSIPPCS.ServiceSoap.SendEmailNotification(DCLOffline.Desktop.WSIPPCS.SendEmailNotificationRequest request) {
            return base.Channel.SendEmailNotification(request);
        }
        
        public void SendEmailNotification(DCLOffline.Desktop.WSIPPCS.ArrayOfString args) {
            DCLOffline.Desktop.WSIPPCS.SendEmailNotificationRequest inValue = new DCLOffline.Desktop.WSIPPCS.SendEmailNotificationRequest();
            inValue.Body = new DCLOffline.Desktop.WSIPPCS.SendEmailNotificationRequestBody();
            inValue.Body.args = args;
            DCLOffline.Desktop.WSIPPCS.SendEmailNotificationResponse retVal = ((DCLOffline.Desktop.WSIPPCS.ServiceSoap)(this)).SendEmailNotification(inValue);
        }
    }
}
